name: msbuild

on: [push]

env:
  BUILD_TYPE: Release

jobs:
  build:
    runs-on: dotnet7
    steps:
      - name: Prep for local builds
        run: echo "${LOCIP}      gitea.comnenos" >> /etc/hosts
      - uses: actions/checkout@v2

      - name: Start Web
        shell: bash
        working-directory: ${{runner.workspace}}/MyWebApp
        run: nohub dotnet run &

      - name: Run Playwright Tests
        shell: bash
        working-directory: ${{runner.workspace}}/PlaywriteTests
        run: dotnet test
